<template>
  <nav class="navbar shadow-md">
    <div class="navbar-icon">
      <a href="#home">
        <img
          class="navbar-icon-logo"
          src="@/assets/logo.svg"
          alt="cursinho da poli usp"
        />
      </a>
    </div>

    <scrollactive class="navbar-menu" :offset="100">
      <div
        v-for="item in items"
        :key="item.anchor"
        :id="`menu-${item.anchor.substr(1)}`"
      >
        <small>
          <a class="navbar-menu-item scrollactive-item" :href="item.anchor">{{
            item.text
          }}</a>
        </small>
      </div>
    </scrollactive>
  </nav>
</template>

<script>
export default {
  data() {
    return {
      items: [
        { anchor: "#sobre", text: "Sobre" },
        { anchor: "#detalhes", text: "Detalhes" },
        { anchor: "#contato", text: "Contato" }
      ]
    };
  }
};
</script>


<style lang="postcss">
.navbar {
  @apply flex flex-row flex-no-wrap justify-start items-center;
  @apply z-10 sticky top-0;

  background-color: var(--l-primary);
  height: 10vh;
}

.navbar-icon {
  height: 70%;
  padding-left: 1em;
}

.navbar-icon-logo {
  @apply h-full rounded-full;
}

.navbar-menu {
  @apply flex flex-row flex-no-wrap items-center w-full;
  justify-content: space-evenly;
}

.navbar-menu-item {
  @apply no-underline uppercase font-medium tracking-wider text-base;
  @apply text-sm;
  color: var(--l-complementar-dark);
}
.navbar-menu-item:hover {
  color: darkgreen;
  transition-duration: 0.3s;
}

.is-active {
  @apply text-lg font-bold;
  color: var(--white);
  transition-duration: 0.3s;
}

@screen md {
  .navbar {
    height: 7vh;
  }

  .is-active {
    @apply text-2xl;
  }

  .navbar-menu-item {
    @apply text-lg;
  }
}

@screen lg {
  .navbar-menu-item {
    @apply text-xl;
  }
}
</style>
